require 'open-uri'
require 'nokogiri'

class TableExtraction < Array
  attr_accessor :doc

  def initialize(url: '', id: '', klass: '')
    raise 'URLを入力してください' if url.empty?
    search_css = 'table'
    search_css << "##{id}" unless id.empty?
    search_css << ".#{klass}" unless klass.empty?
    @doc = Nokogiri::HTML(open(url)).css(search_css)
  end
end
